Multivariate Pattern Analysis in Python

# mvpa2.algorithms.searchlight_hyperalignment.FeatureSelectionHyperalignment

class `mvpa2.algorithms.searchlight_hyperalignment.``FeatureSelectionHyperalignment`(ref_ds=0, hyperalignment=Hyperalignment(ref_ds=0, alpha=1.0), featsel=1.0, full_matrix=True, use_same_features=False, exclude_from_model=None, dtype='float32', **kwargs)

  A helper which brings feature selection and hyperalignment in a single call

  It was created to facilitate its usage in any searchlight or ROI, where hyperalignment is trained and called on the same list of datasets. But unlike Hyperalignment, it doesn’t need to be separately trained. Called with a list of datasets, it returns a list of Mappers, one per each dataset, similarly to how Hyperalignment does.

  Attributes

  `descr` | Description of the object if any

  Methods

  `__call__`(datasets) |
  `reset`() |

  For description of parameters see `SearchlightHyperalignment`

  Attributes

  `descr` | Description of the object if any

  Methods

  `__call__`(datasets) |
  `reset`() |